execute as @a[tag=!registered] at @s run function chop:player_handling/new_lobby
execute as @a[scores={leave=1..}] at @s run function chop:player_handling/rejoin_lobby

execute if score startTimer stats matches 1.. run function chop:lobby/start/start_timer


scoreboard players add @e[type=fireball] lifetime 1
kill @e[type=fireball,scores={lifetime=200..}]

execute unless score startTimer stats matches 1.. as @a[team=!red] at @s if block ~ ~-.5 ~ red_terracotta run function chop:lobby/join_red
execute unless score startTimer stats matches 1.. as @a[team=!green] at @s if block ~ ~-.5 ~ lime_terracotta run function chop:lobby/join_green
execute unless score startTimer stats matches 1.. as @a[team=red] at @s if block ~ ~-.5 ~ light_gray_terracotta run function chop:lobby/leave_team
execute unless score startTimer stats matches 1.. as @a[team=green] at @s if block ~ ~-.5 ~ light_gray_terracotta run function chop:lobby/leave_team

execute if block 0 73 9 spruce_button[powered=true] unless score startTimer stats matches 1.. run function chop:lobby/start/start_test
execute if block 0 73 9 spruce_button[powered=true] if score startTimer stats matches 1.. run function chop:lobby/start/cancel

execute as @a at @s if block ~ ~-1 ~ blue_stained_glass run effect give @s speed 1 7 true

particle minecraft:falling_nectar 6 73 8 0.25 1 0.25 0 10
particle minecraft:falling_nectar -7 68 -28 0.25 1 0.25 0 10
particle minecraft:falling_nectar 7 68 -28 0.25 1 0.25 0 10
particle minecraft:falling_nectar -6 73 8 0.25 1 0.25 0 10

execute as @a[x=-6,y=72,z=8,dx=0,dy=1,dz=0] at @s run function chop:lobby/tp_to_settings
execute as @a[x=6,y=72,z=8,dx=0,dy=1,dz=0] at @s run function chop:lobby/tp_to_settings
execute as @a[x=7,y=68,z=-28,dx=0,dy=1,dz=0] at @s run function chop:lobby/tp_to_spawn
execute as @a[x=-7,y=68,z=-28,dx=0,dy=1,dz=0] at @s run function chop:lobby/tp_to_spawn

execute as @a at @s if block ~ ~-1 ~ yellow_stained_glass run particle dust 1 0.5 0 1 ~ ~ ~ 0 0 0 1 5

execute if score fireworks stats matches 1.. run function chop:game/fireworks

execute as @a[tag=!builder,nbt=!{Inventory:[{Slot:103b,id:"minecraft:honey_block",Count:1b}]}] at @s run clear @s honey_block
execute if block 0 80 -12 oak_button[powered=true] at @e[type=minecraft:area_effect_cloud,tag=button] run item replace entity @a[sort=nearest,limit=1] armor.head with honey_block
execute if entity @e[type=item,nbt={Item:{id:"minecraft:honey_block"}}] run kill @e[type=item,nbt={Item:{id:"minecraft:honey_block"}}]
execute if block 0 80 -12 oak_button[powered=true] at @e[type=minecraft:area_effect_cloud,tag=button] run playsound block.honey_block.slide master @a[distance=..5] ~ ~ ~ 1 0
execute if block 0 80 -12 oak_button[powered=true] run clone 0 77 -35 0 77 -35 0 80 -12



execute as @a[x=-90,y=56,z=-8,dx=13,dy=-10,dz=13] run tag @s add tptogreen
execute as @a[tag=tptogreen] at @s run teleport @s ~168 60 ~
effect give @a[tag=tptogreen] levitation 2 10 true
execute as @a[tag=tptogreen] run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 200 1
tag @a remove tptogreen
particle portal -83.05 64.83 -1.00 2 0.25 2 0.5 20

execute as @a[x=77,y=56,z=-8,dx=13,dy=-10,dz=13] run tag @s add tptored
execute as @a[tag=tptored] at @s run teleport @s ~-168 60 ~
effect give @a[tag=tptored] levitation 2 10 true
execute as @a[tag=tptored] run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 200 1
tag @a remove tptored
particle portal 84.50 65.00 -1.33 2 0.25 2 0.5 20

execute as @e[type=tnt] at @s if block ~ 0 ~ barrier run kill @s
fill 35 71 -2 76 80 -14 air replace piston_head
fill -15 71 -5 -76 80 -14 air replace piston_head