execute as @e[type=!armor_stand] at @s store result score @s xPos run data get entity @s Pos[0]
execute as @e[type=!armor_stand] at @s store result score @s yPos run data get entity @s Pos[1]
execute as @e[type=!armor_stand] at @s store result score @s zPos run data get entity @s Pos[2]

execute as @a[gamemode=survival,nbt=!{Inventory:[{id:"minecraft:bow",Count:1b}]}] at @s run function chop:game/get_bow
execute if score pickaxe options matches 1 as @a[gamemode=survival,nbt=!{Inventory:[{id:"minecraft:iron_pickaxe",Count:1b}]}] at @s run function chop:game/get_pickaxe

execute as @a[scores={leave=1..}] if score @s gameID = $max gameID run function chop:player_handling/rejoin_game
execute as @a[scores={leave=1..}] unless score @s gameID = $max gameID run function chop:player_handling/new_game
execute as @a[tag=!registered] run function chop:player_handling/new_game

execute as @e[type=area_effect_cloud,tag=fireball,tag=!spawned] at @s run function chop:game/spawn_fireball
execute if entity @e[type=area_effect_cloud,tag=missile] run function missile:place_handling

function sette:main

execute if score itemSpawn stats matches 1.. run function chop:game/item_spawn_timer

effect give @a saturation 100000 100 true

scoreboard players set @a[scores={breakLimeGlass=1..},team=green] breakGreenGlass 1
scoreboard players set @a[scores={breakPinkGlass=1..},team=red] breakRedGlass 1
scoreboard players set @a[scores={breakWhiteGlass=1..},team=green] breakGreenGlass 1
scoreboard players set @a[scores={breakWhiteGlass=1..},team=red] breakRedGlass 1
scoreboard players set @a[scores={breakHoney=1..},team=green] breakGreenGlass 1
scoreboard players set @a[scores={breakHoney=1..},team=red] breakRedGlass 1

execute as @e[name=spawn] at @s run function chop:game/loss_detection

execute as @a[scores={death=1..}] at @s run function chop:game/death
execute as @a[scores={respawn=0..}] at @s run function chop:game/respawn_timer

kill @a[scores={yPos=..0},gamemode=survival]
execute as @e[type=snowball] unless entity @s[scores={xPos=-68..67,yPos=..55,zPos=54..120}] run kill @s
execute as @a[scores={yPos=..0},gamemode=spectator] at @s run tp @s ~ ~20 ~

execute if score jump_boost options matches 1 run effect give @a jump_boost 1000000 1 true
execute if score jump_boost options matches 2 run effect give @a jump_boost 1000000 3 true
execute if score jump_boost options matches 3 run effect give @a jump_boost 1000000 5 true

execute if score speed_boost options matches 1 run effect give @a speed 1000000 0 true
execute if score speed_boost options matches 2 run effect give @a speed 1000000 1 true
execute if score speed_boost options matches 3 run effect give @a speed 1000000 3 true

execute if score exploding_arrows options matches 1 as @e[type=arrow,nbt={inGround:1b}] at @s run function chop:game/arrow_explode
execute if score exploding_arrows options matches 1 as @e[type=arrow] at @s if block ~ 255 ~ minecraft:barrier run kill @s
execute as @e[type=egg] at @s if block ~ 255 ~ minecraft:barrier run kill @s
execute as @e[type=snowball] at @s if block ~ 255 ~ minecraft:barrier run kill @s

effect give @a[scores={elytra=1..}] glowing 1 0 true
scoreboard players reset @a[scores={elytra=1..}] elytra

execute unless entity @a[team=red] unless score singleplayer stats matches 1 run function chop:game/force_end
execute unless entity @a[team=green] unless score singleplayer stats matches 1 run function chop:game/force_end

scoreboard players reset @a breakGreenGlass
scoreboard players reset @a breakWhiteGlass
scoreboard players reset @a breakLimeGlass
scoreboard players reset @a breakRedGlass
scoreboard players reset @a breakPinkGlass
scoreboard players reset @a breakHoney

#execute as @e[type=item,nbt={Item:{id:"minecraft:egg"}},tag=!display] at @s run function chop:game/grenade
#execute as @e[type=tnt,tag=grenade] at @s run function chop:game/grenade2

execute as @a[gamemode=survival] at @s if block ~ ~ ~ nether_portal run kill @s

kill @e[type=area_effect_cloud,tag=missile,tag=!missile_display]

execute as @a[nbt=!{Inventory:[{Slot:103b}]}] at @s run function chop:game/get_armor
execute as @a[nbt=!{Inventory:[{Slot:102b}]}] at @s run function chop:game/get_armor
execute as @a[nbt=!{Inventory:[{Slot:101b}]}] at @s run function chop:game/get_armor
execute as @a[nbt=!{Inventory:[{Slot:100b}]}] at @s run function chop:game/get_armor

execute as @a[gamemode=!spectator] at @s if block ~ 0 ~ barrier run kill @s

execute as @e[type=egg,tag=!spawned] at @s run function chop:game/spawn_grenade
execute as @e[type=armor_stand,name=grenade] at @s run function chop:game/as_grenade
tp @e[type=chicken] ~ -100 ~

execute as @a[scores={endGame=1..}] run function chop:game/force_end

# Stop epsilon going high
fill 84 60 22 -85 60 124 slime_block replace minecraft:piston